Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Class StatementInfoProcessor

java.lang.Object
org.firebirdsql.gds.ng.StatementInfoProcessor

All Implemented Interfaces:
  `InfoProcessor<InfoProcessor.StatementInfo>`

public final class StatementInfoProcessor extends Object implements InfoProcessor<InfoProcessor.StatementInfo>
InfoProcessor to retrieve the statement information associated with `AbstractFbStatement.getStatementInfoRequestItems()` and `AbstractFbStatement.getParameterDescriptionInfoRequestItems()`.

Since:
  3.0
Author:
  Mark Rotteveel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatementInfoProcessor(AbstractFbStatement statement, FbDatabase database)`
  Creates an instance of this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InfoProcessor.StatementInfo`
  `process(byte[] infoResponse)`
  Process an infoResponse block into an object of type T.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatementInfoProcessor

    public StatementInfoProcessor(AbstractFbStatement statement, FbDatabase database)
    Creates an instance of this class.
    Parameters:
      `statement` - Statement object
      `database` - Database object

- ## Method Details

  - ### process

    public InfoProcessor.StatementInfo process(byte[] infoResponse) throws SQLException
    Description copied from interface: `InfoProcessor`
    Process an infoResponse block into an object of type T.
    Specified by:
      `process` in interface `InfoProcessor<InfoProcessor.StatementInfo>`
    Parameters:
      `infoResponse` - byte array containing the server response to an info-request.
    Returns:
      Processed response of type T (usually - but not required - a newly created object).
    Throws:
      `InfoTruncatedException` - (optional) if `infoResponse` is truncated and this processor could not recover by itself
      `SQLException` - for errors during processing the infoResponse.